dnl
dnl -*- m4 -*-
dnl
dnl  This file is part of WEEVILGEN.
dnl
dnl  Authors: See the file AUTHORS for full details.
dnl
dnl  Copyright (C) 2002-2004 University of Colorado
dnl
dnl  This program is free software; you can redistribute it and/or
dnl  modify it under the terms of the GNU General Public License
dnl  as published by the Free Software Foundation; either version 2
dnl  of the License, or (at your option) any later version.
dnl
dnl  This program is distributed in the hope that it will be useful,
dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl  GNU General Public License for more details.
dnl
dnl  You should have received a copy of the GNU General Public License
dnl  along with this program; if not, write to the Free Software
dnl  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
dnl  USA, or send email to serl@cs.colorado.edu.
dnl
dnl $Id: wkld_sequential.m4,v 1.1 2007-07-10 13:08:11 wolf Exp $
dnl
dnl process types
dnl
WVL_SYS_WorkloadProcessType( `Subscriber', `gen_message.h, gen_message.cc, subscriber.cc', `')dnl
dnl
dnl processes
dnl
define(`clients', `C1')dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcess( i, `Subscriber')', clients)dnl
dnl
dnl properties
dnl
WVL_SYS_WorkloadProcessProp( `C1', `constr_min', `1')dnl
WVL_SYS_WorkloadProcessProp( `C1', `constr_max', `1')dnl
WVL_SYS_WorkloadProcessProp( `C1', `attr_min', `1')dnl
WVL_SYS_WorkloadProcessProp( `C1', `attr_max', `3')dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `attr_dist_f', `"attr_names.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `constr_dist_f', `"constr_names.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `types_dist_f', `"types.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `op_dist_f', `"operators.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `op_string_dist_f', `"string_operators.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `str_dist_f', `"str_values.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `int_dist_f', `"int_values.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `bool_dist_f', `"bool_values.dist"')', clients)dnl
WVL_SYS_WorkloadProcessProp( `C1', `num_subs', `50')dnl
WVL_SYS_WorkloadProcessProp( `C1', `sub_timeout', `300')dnl
WVL_SYS_WorkloadProcessProp( `C1', `unsub_timeout', `200')dnl
dnl
dnl workloads
dnl
WVL_SYS_WorkloadScenario( `wkld_sequential', `20000', `clients')dnl
dnl
