define(`theActor', WVL_Actor_ID)dnl
define(`theEntity', `WVL_Actor_'theActor`_entity')dnl
define(`theHost', `WVL_EntityHost_'theEntity`_host')dnl
define(`theAccount', `WVL_Host_'theHost`_account')dnl
define(`theAddress', `WVL_Host_'theHost`_address')dnl
define(`theWeevilRoot', `WVL_Host_'theHost`_weevilRoot')dnl
ifelse(WVL_SYS_Contains(theEntity, theComponents), `true', `define(`theComponent', theEntity)dnl
define(`theCompType', `WVL_Component_'theComponent`_type')dnl
define(`theCompPath', theWeevilRoot/WVL_Experiment_Name/theCompType/theComponent)dnl
define(`theSoftwarePath', theWeevilRoot/WVL_Experiment_Name/theCompType/software)dnl
define(`theCompStartScript', theCompPath/WVL_Experiment_Name`_'theComponent`_start.sh')dnl
define(`theCompStartArgs', "`WVL_ComponentType_'theCompType`_startArgs'")dnl
define(`theCompStopScript', theCompPath/WVL_Experiment_Name`_'theComponent`_stop.sh')')dnl
define(`theActorPath', theWeevilRoot/WVL_Experiment_Name/theActor)dnl
define(`theActorScript', WVL_Experiment_Name`_'theActor`.sh')dnl
define(`theActorJavaProgram', WVL_Experiment_Name`_'theActor)dnl
define(`theExpRoot', theWeevilRoot/WVL_Experiment_Name)dnl
define(`theTimeStampScript', theExpRoot/WVL_Experiment_Name`_'theHost`_timestamp.sh')dnl
define(`theFileTransferScript', theWeevilRoot/weevil-sendFile.sh)dnl
define(`theMessageTransferScript', theWeevilRoot/weevil-sendMessage.sh)dnl
dnl
ifdef(`theComponent', comppath=theCompPath
softwarepath=theSoftwarePath
compstartscript=theCompStartScript
compstartargs=theCompStartArgs
compstopscript=theCompStopScript)
actorpath=theActorPath
exproot=theExpRoot
timestampscript=theTimeStampScript
sendfile=theFileTransferScript
sendmessage=theMessageTransferScript
changequote([[, ]])dnl

msg="$1"
event=`echo $1|awk -F[\(\)] '{print $1}'`
parameter=`echo $1|awk -F[\(\)] '{print $2}'`
condition="$2"
variable="$3"

#
# assign the value of the workload variables
#
WVL_AssignVar(){
    . $actorpath/WVL_Shared
    awk -F[=] '{print "define(" $1 "," $2 ")"}' $actorpath/WVL_Shared>$actorpath/WVL_Macro
}

#
# globally update the value of the variable $1 for future usage
#
WVL_UpdateVar(){
    grep -v "$1=" $actorpath/WVL_Shared >$actorpath/WVL_temp
    echo [[define($1,$[$1])dnl]] >>$actorpath/WVL_temp
    cp $actorpath/WVL_temp $actorpath/WVL_Shared
}

#
# translate the condition included in the workload to its evaluated value
#
WVL_CheckCondition(){
cond=`m4 <<EOF
[[include($actorpath/WVL_Macro)]]
$condition
EOF`
if [ $cond ]
then
    echo "[ 1 ]"
else
    echo "[ 0 ]"
fi
}

changequote(`, ')dnl
