dnl
dnl -*- m4 -*-
dnl
dnl  This file is part of WEEVILGEN.
dnl
dnl  Authors: See the file AUTHORS for full details.
dnl
dnl  Copyright (C) 2002-2004 University of Colorado
dnl
dnl  This program is free software; you can redistribute it and/or
dnl  modify it under the terms of the GNU General Public License
dnl  as published by the Free Software Foundation; either version 2
dnl  of the License, or (at your option) any later version.
dnl
dnl  This program is distributed in the hope that it will be useful,
dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl  GNU General Public License for more details.
dnl
dnl  You should have received a copy of the GNU General Public License
dnl  along with this program; if not, write to the Free Software
dnl  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
dnl  USA, or send email to serl@cs.colorado.edu.
dnl
dnl $Id: wkld_30_30_30.m4,v 1.1 2007-07-10 13:08:07 wolf Exp $
dnl
dnl process types
dnl
WVL_SYS_WorkloadProcessType( `RandomBrowser', `random_browser.cc', `')dnl
dnl
dnl processes
dnl
define(`WorkloadProcesses', `WVL_SYS_Range(`br', 1, 90)')dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcess( i, `RandomBrowser')', WorkloadProcesses)dnl
dnl
dnl properties
dnl
define(`Group1', `WVL_SYS_Range(`br', 1, 30)')dnl
dnl
define(`Group2', `WVL_SYS_Range(`br', 31, 60)')dnl
dnl
define(`Group3', `WVL_SYS_Range(`br', 61, 90)')dnl
dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_gets', `9')', Group1)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_gets', `5')', Group2)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_gets', `3')', Group3)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_files', `90')', Group1)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_files', `60')', Group2)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_files', `50')', Group3)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `file_range', `"1-90"')', Group1)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `file_range', `"91-150"')', Group2)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `file_range', `"151-200"')', Group3)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `get_timeout', `10')', Group1)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `get_timeout', `20')', Group2)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `get_timeout', `30')', Group3)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp(i, `get_neighbors', dnl
"WVL_SYS_Foreach(`j', j GET 11 0.05|, Group1)WVL_SYS_Foreach(`j', j GET 21 0.03|, Group2)WVL_SYS_Foreach(`j', j GET 31 0.01|, Group3)")', Group1)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp(i, `get_neighbors', dnl
"WVL_SYS_Foreach(`j', j GET 18 0.03|, Group1)WVL_SYS_Foreach(`j', j GET 12 0.04|, Group2)WVL_SYS_Foreach(`j', j GET 26 0.02|, Group3)")', Group2)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp(i, `get_neighbors', dnl
"WVL_SYS_Foreach(`j', j GET 35 0.01|, Group1)WVL_SYS_Foreach(`j', j GET 25 0.02|, Group2)WVL_SYS_Foreach(`j', j GET 14 0.03|, Group3)")', Group3)dnl
dnl
dnl workloads
dnl
WVL_SYS_WorkloadScenario( `wkld_30_30_30', `100', `WorkloadProcesses')dnl
dnl