dnl
dnl -*- m4 -*-
dnl
dnl  This file is part of WEEVILGEN.
dnl
dnl  Authors: See the file AUTHORS for full details.
dnl
dnl  Copyright (C) 2002-2004 University of Colorado
dnl
dnl  This program is free software; you can redistribute it and/or
dnl  modify it under the terms of the GNU General Public License
dnl  as published by the Free Software Foundation; either version 2
dnl  of the License, or (at your option) any later version.
dnl
dnl  This program is distributed in the hope that it will be useful,
dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl  GNU General Public License for more details.
dnl
dnl  You should have received a copy of the GNU General Public License
dnl  along with this program; if not, write to the Free Software
dnl  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
dnl  USA, or send email to serl@cs.colorado.edu.
dnl
dnl $Id: wkld_90.m4,v 1.1 2007-07-10 13:08:07 wolf Exp $
dnl
dnl process types
dnl
WVL_SYS_WorkloadProcessType( `RandomBrowser', `random_browser.cc', `')dnl
dnl
dnl processes
dnl
define(`WorkloadProcesses', `WVL_SYS_Range(`br', 1, 90)')dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcess( i, `RandomBrowser')', WorkloadProcesses)dnl
dnl
dnl properties
dnl
define(`Group1', `WVL_SYS_Range(`br', 1, 15)')dnl
dnl
define(`Group2', `WVL_SYS_Range(`br', 16, 30)')dnl
dnl
define(`Group3', `WVL_SYS_Range(`br', 31, 45)')dnl
dnl
define(`Group4', `WVL_SYS_Range(`br', 46, 60)')dnl
dnl
define(`Group5', `WVL_SYS_Range(`br', 61, 75)')dnl
dnl
define(`Group6', `WVL_SYS_Range(`br', 76, 90)')dnl
dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_gets', `9')', Group1)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_gets', `8')', Group2)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_gets', `6')', Group3)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_gets', `5')', Group4)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_gets', `3')', Group5)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_gets', `2')', Group6)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_files', `80')', Group1)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_files', `70')', Group2)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_files', `60')', Group3)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_files', `40')', Group4)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_files', `30')', Group5)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_files', `20')', Group6)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `file_range', `"1-80"')', Group1)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `file_range', `"81-150"')', Group2)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `file_range', `"151-210"')', Group3)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `file_range', `"211-250"')', Group4)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `file_range', `"251-280"')', Group5)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `file_range', `"281-300"')', Group6)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `get_timeout', `10')', Group1)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `get_timeout', `12')', Group2)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `get_timeout', `15')', Group3)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `get_timeout', `20')', Group4)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `get_timeout', `30')', Group5)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `get_timeout', `40')', Group6)dnl
dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp(i, `get_neighbors', dnl
"WVL_SYS_Foreach(`j', j GET 11 0.05|, Group1)WVL_SYS_Foreach(`j', j GET 21 0.03|, Group2)WVL_SYS_Foreach(`j', j GET 31 0.01|, Group3)dnl
WVL_SYS_Foreach(`j', j GET 41 0.008|, Group4)WVL_SYS_Foreach(`j', j GET 51 0.005|, Group5)WVL_SYS_Foreach(`j', j GET 61 0.003|, Group6)")', Group1)dnl
dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp(i, `get_neighbors', dnl
"WVL_SYS_Foreach(`j', j GET 18 0.03|, Group1)WVL_SYS_Foreach(`j', j GET 12 0.04|, Group2)WVL_SYS_Foreach(`j', j GET 26 0.02|, Group3)dnl
WVL_SYS_Foreach(`j', j GET 28 0.005|, Group4)WVL_SYS_Foreach(`j', j GET 32 0.003|, Group5)WVL_SYS_Foreach(`j', j GET 42 0.001|, Group6)")', Group2)dnl
dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp(i, `get_neighbors', dnl
"WVL_SYS_Foreach(`j', j GET 35 0.01|, Group1)WVL_SYS_Foreach(`j', j GET 25 0.02|, Group2)WVL_SYS_Foreach(`j', j GET 14 0.03|, Group3)dnl
WVL_SYS_Foreach(`j', j GET 11 0.01|, Group4)WVL_SYS_Foreach(`j', j GET 21 0.008|, Group5)WVL_SYS_Foreach(`j', j GET 31 0.005|, Group6)")', Group3)dnl
dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp(i, `get_neighbors', dnl
"WVL_SYS_Foreach(`j', j GET 45 0.005|, Group1)WVL_SYS_Foreach(`j', j GET 24 0.003|, Group2)WVL_SYS_Foreach(`j', j GET 37 0.01|, Group3)dnl
WVL_SYS_Foreach(`j', j GET 14 0.03|, Group4)WVL_SYS_Foreach(`j', j GET 51 0.02|, Group5)WVL_SYS_Foreach(`j', j GET 61 0.003|, Group6)")', Group4)dnl
dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp(i, `get_neighbors', dnl
"WVL_SYS_Foreach(`j', j GET 18 0.002|, Group1)WVL_SYS_Foreach(`j', j GET 12 0.003|, Group2)WVL_SYS_Foreach(`j', j GET 26 0.002|, Group3)dnl
WVL_SYS_Foreach(`j', j GET 28 0.005|, Group4)WVL_SYS_Foreach(`j', j GET 32 0.03|, Group5)WVL_SYS_Foreach(`j', j GET 42 0.01|, Group6)")', Group5)dnl
dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp(i, `get_neighbors', dnl
"WVL_SYS_Foreach(`j', j GET 35 0.001|, Group1)WVL_SYS_Foreach(`j', j GET 25 0.003|, Group2)WVL_SYS_Foreach(`j', j GET 14 0.004|, Group3)dnl
WVL_SYS_Foreach(`j', j GET 11 0.005|, Group4)WVL_SYS_Foreach(`j', j GET 21 0.008|, Group5)WVL_SYS_Foreach(`j', j GET 31 0.01|, Group6)")', Group6)dnl
dnl
dnl workloads
dnl
WVL_SYS_WorkloadScenario( `wkld_90', `100', `WorkloadProcesses')dnl
dnl