dnl -*- m4 -*-
dnl
dnl  This file is part of WEEVIL.
dnl
dnl  Authors: See the file AUTHORS for full details.
dnl
dnl  Copyright (C) 2002-2006 University of Colorado
dnl
dnl  Weevil is free software; you can redistribute it and/or
dnl  modify it under the terms of the GNU General Public License
dnl  as published by the Free Software Foundation; either version 2
dnl  of the License, or (at your option) any later version.
dnl
dnl  Weevil is distributed in the hope that it will be useful,
dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl  GNU General Public License for more details.
dnl
dnl  You should have received a copy of the GNU General Public License
dnl  along with this program; if not, write to the Free Software
dnl  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
dnl  USA, or send email to serl@cs.colorado.edu.
dnl
dnl $Id: weevil2peractorwkld.m4,v 1.1 2007-07-10 13:08:08 wolf Exp $
dnl
define(`interval', `eval($1-$2)define(`currtime', $1)')dnl
define(`currtime', 0)dnl
dnl
define(`theActor', WVL_Actor_ID)dnl
define(`theEntity', `WVL_Actor_'theActor`_entity')dnl
define(`theHost', `WVL_ComponentHost_'theEntity`_host')dnl
define(`theAccount', `WVL_Host_'theHost`_account')dnl
define(`theAddress', `WVL_Host_'theHost`_address')dnl
define(`theWeevilRoot', `WVL_Host_'theHost`_weevilRoot')dnl
ifelse(WVL_SYS_Contains(theEntity, theComponents), `true', `define(`theComponent', theEntity)dnl
define(`theCompType', `WVL_Component_'theComponent`_type')dnl
define(`theCompPath', theWeevilRoot`/'WVL_Experiment_Name`/'theCompType`/'theComponent)dnl
define(`theCompStartScript', theCompPath/WVL_Experiment_Name`_'theComponent`_start.sh')dnl
define(`theCompStopScript', theCompPath/WVL_Experiment_Name`_'theComponent`_stop.sh')dnl
define(`theSoftwarePath', theWeevilRoot`/'WVL_Experiment_Name`/'theCompType`/software')')dnl
define(`theActorPath', theWeevilRoot/WVL_Experiment_Name/theActor)dnl
define(`theActorScript', WVL_Experiment_Name`_'theActor`.sh')dnl
define(`theActorJavaProgram', WVL_Experiment_Name`_'theActor)dnl
define(`theExpRoot', theWeevilRoot/WVL_Experiment_Name)dnl
define(`theTimeStampScript', theExpRoot/WVL_Experiment_Name`_'theHost`_timestamp.sh')dnl
define(`theFileTransferScript', theWeevilRoot/weevil-sendFile.sh)dnl
define(`theMessageTransferScript', theWeevilRoot/weevil-sendMessage.sh)dnl
dnl
define(`event', `ifelse(WVL_Actor_ID, $2, `WVL_Wait(interval($1, `currtime'))
$3,$4,$5', `/')')dnl
